[Overview][Constants][Classes][Procedures and functions][Index] | Reference for unit 'ExtDlgs' (#lcl)

# TCalendarDialog.Create

Constructor for the class instance.

## Declaration

Source position: extdlgs.pas line 224

`public constructor TCalendarDialog.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the TCalendarDialog class. It calls the inherited method entry which sets the value in DialogPosition to poMainFormCenter. Create sets the default values for properties including:

DisplaySettings
  Set to the value in the DefaultDisplaySettings constant.
Date
  Set to the date part of the value from the Now function.
OKCaption
  Set to the value in the rsMbOK resource string.
CancelCaption
  Set to the value in the rsMbCancel resource string.